Create Terminal
Onboard a payment processor terminal using processor-specific configuration data. This endpoint creates the terminal configuration and optionally updates the associated location.
Processor Support:
- TSYS: Uses VAR sheet data with fields like acquirer_bin, merchant_number, store_number, terminal_number. See
TSYSOnboardRequest. - Payroc: Uses processing_terminal_id and processing_merchant_id. See
PayrocOnboardRequest. - Fiserv: Processor-specific configuration fields
- Elavon: Processor-specific configuration fields
- Worldpay: Processor-specific configuration fields
Surcharge Configuration:
- Set
surcharge_rateon the terminal to configure automatic surcharging (e.g., 3.5 for 3.5%) - Setting to
nulldisables automatic surcharge logic - Setting to
0means surcharges will NEVER be applied unless explicitly overridden
Body
required
application/json
- accountType: string · Account ID
_id requiredThe merchant account ID
- processorType: string · Processor Config ID
_config _id requiredTSYS processor configuration ID
- terminalType: string · Terminal Name
_name requiredDisplay name for the terminal
- varType: object · TSYSVarSheet
_sheet required - terminalType: string · Terminal Description nullable
_description Optional description for the terminal
Responses
- application/json
- application/json
- 403
Forbidden - Only admin, PSP, and partner accounts can onboard TSYS terminals
- application/json
Request Example for post/v2/terminals
curl https://api.uat.koard.com/v2/terminals \
--request POST \
--header 'Content-Type: application/json' \
--header 'x-koard-apikey: YOUR_SECRET_TOKEN' \
--data '{
"account_id": "",
"processor_config_id": "",
"terminal_description": "",
"terminal_name": "",
"var_sheet": {
"acceptor_customer_service_phone": "",
"acceptor_phone": "",
"acceptor_street_address": "",
"acquirer_bin": "",
"authentication_code": "",
"city_code": "",
"country_code": "840",
"currency_code": "840",
"gen_key": "",
"industry_code": "",
"language_indicator": "00",
"merchant_category_code": "",
"merchant_location": "",
"merchant_name": "",
"merchant_number": "",
"merchant_state": "",
"store_number": "",
"terminal_number": "",
"time_zone_diff": ""
}
}'
{
"account_id": "string",
"agent_bank_number": null,
"bin": null,
"country_code": "840",
"created_at": "2026-04-20T15:32:06.309Z",
"currency_code": "USD",
"deleted_at": null,
"description": null,
"merchant_category_code": null,
"merchant_name": null,
"mid": "string",
"name": "string",
"processor_config_id": "string",
"serial_number": null,
"status": "active",
"surcharge_rate": null,
"terminal_capability": "5",
"terminal_id": "string",
"tid": "string",
"transactions": [],
"updated_at": null,
"var_sheet": null,
"vid": null
}
